<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

</body>
</html>


<div class="ips">
    {% for ip in addresses %}
        {{ ip }}
    {% endfor %}
</div>

<div class="ips">
    {% for elem in ips %}
    <p>{{ elem['ip'] }} - {{ elem['frequency'] }}</p>
    {% endfor %}
</div>
<div class="ban">
    {% for elem in ips %}
    <p>Deny from{{ elem['ip'] }}</p>
    {% endfor %}
</div>

192.168.1.1, 192.168.1.1, 192.168.1.1, 192.168.1.1,
    192.168.1.1, 192.168.1.1, 192.168.1.1, 192.168.1.1,
    192.168.1.1, 192.168.1.1, 192.168.1.1, 192.168.1.1,